## ros-vcstools 0.1.38

=== Makefile ===
.PHONY: all setup clean_dist distro clean install testsetup test

NAME=vcstools
VERSION=$(shell grep version ./src/vcstools/__version__.py | sed 's,version = ,,')


all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -f MANIFEST
	-rm -rf dist
	-rm -rf deb_dist
	-rm -fr src/vcstools.egg-info/

distro: clean_dist setup
	python setup.py sdist

clean: clean_dist
	echo "clean"

install: distro
	sudo checkinstall python setup.py install

testsetup:
	echo "running tests"

test: testsetup
	nosetests --with-coverage --cover-package=vcstools --with-xunit

=== debian/changelog ===
ros-vcstools (0.1.38-1) unstable; urgency=medium

  * Initial release. (Closes: #804040)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 23 Dec 2015 11:32:23 +0000

=== debian/control ===
Source: ros-vcstools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>=8), dh-python
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-vcstools.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-vcstools.git
Homepage: http://wiki.ros.org/vcstools
X-Python-Version: >= 2.7

Package: python-vcstools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: subversion, git, mercurial, bzr
Description: VCS/SCM python source control library for svn, git, hg, and bzr
 This package is part of Robot OS (ROS). The vcstools module provides
 a Python API for interacting with different version control systems
 (VCS/SCMs). The VcsClient class provides an API for seamlessly
 interacting with Git, Mercurial (Hg), Bzr and SVN. The focus of the
 API is manipulating on-disk checkouts of source-controlled trees.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 11 Oct 2013 11:19:04 +0200

%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_clean:
	rm -rf src/vcstools.egg-info
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vcstools-$1\.tar\.gz/ \
  https://github.com/vcstools/vcstools/releases .*/v?(\d\S*)\.tar\.gz

## ros-vcstools 0.1.39

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/vcstools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/vcstools.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/vcstools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/vcstools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	# set write permission for group so that everybody can overwrite existing files on the webserver
	chmod -R g+w _build/html/
	scp -pr _build/html/ rosbot@ros.osuosl.org:/home/rosbot/docs/independent/api/vcstools

=== debian/changelog ===
ros-vcstools (0.1.39-5) unstable; urgency=medium

  * Replace VCS patch by upstream version (Closes: #868652)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Jul 2017 07:35:21 +0200

ros-vcstools (0.1.39-4) unstable; urgency=medium

  * Add patch for fake VCS identity (Closes: #868652)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jul 2017 15:55:19 +0200

ros-vcstools (0.1.39-3) unstable; urgency=medium

  * Convert package to pybuild
  * Add python3-vcstools package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Jul 2017 00:00:31 +0200

ros-vcstools (0.1.39-2) unstable; urgency=medium

  * Update watch file
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jun 2017 06:14:05 +0200

ros-vcstools (0.1.39-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 0.1.39

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 18 Sep 2016 09:33:42 +0200

=== debian/control ===
Source: ros-vcstools
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-dateutil, python-yaml, python-mock, python-nose, bzr, git, mercurial, subversion, python3-dateutil, python3-yaml, python3-mock, python3-nose
Standards-Version: 4.0.0
Homepage: http://wiki.ros.org/vcstools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-vcstools.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-vcstools.git
Testsuite: autopkgtest-pkg-python

Package: python-vcstools
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: subversion, git, mercurial, bzr
Description: VCS/SCM Python source control library for svn, git, hg, and bzr (Python 2)
 This package is part of Robot OS (ROS). The vcstools module provides
 a Python API for interacting with different version control systems
 (VCS/SCMs). The VcsClient class provides an API for seamlessly
 interacting with Git, Mercurial (Hg), Bzr and SVN. The focus of the
 API is manipulating on-disk checkouts of source-controlled trees.
 .
 This package installs the library for Python 2.

Package: python3-vcstools
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: subversion, git, mercurial, bzr
Description: VCS/SCM Python source control library for svn, git, hg, and bzr (Python 3)
 This package is part of Robot OS (ROS). The vcstools module provides
 a Python API for interacting with different version control systems
 (VCS/SCMs). The VcsClient class provides an API for seamlessly
 interacting with Git, Mercurial (Hg), Bzr and SVN. The focus of the
 API is manipulating on-disk checkouts of source-controlled trees.
 .
 This package installs the library for Python 3.

## ros-vcstools 0.1.40

=== debian/changelog ===
ros-vcstools (0.1.40-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add brz as alternative for bzr.

  [ Jochen Sprickerhof ]
  * Fix ancient-python-version-field
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Nov 2018 19:29:01 +0100

ros-vcstools (0.1.40-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * New upstream version 0.1.40
  * Bump policy and debhelper versions (no changes)
  * Rebase patches
  * Add R³
  * move http to https

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 17:15:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>, Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-dateutil, python-yaml, python-mock, python-nose, bzr, git, mercurial, subversion, python3-dateutil, python3-yaml, python3-mock, python3-nose
-Standards-Version: 4.0.0
-Homepage: http://wiki.ros.org/vcstools
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-vcstools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-vcstools.git
+Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, python3-all, python3-setuptools, python-dateutil, python-yaml, python-mock, python-nose, bzr | brz, git, mercurial, subversion, python3-dateutil, python3-yaml, python3-mock, python3-nose
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/vcstools
+Vcs-Git: https://salsa.debian.org/science-team/ros-vcstools.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-vcstools
 Testsuite: autopkgtest-pkg-python
 
 Package: python-vcstools

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=vcstools

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## ros-vcstools 0.1.42

=== debian/changelog ===
ros-vcstools (0.1.42-9) unstable; urgency=medium

  * Add patches for Python 3.12

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jan 2024 08:03:05 +0100

ros-vcstools (0.1.42-8) unstable; urgency=medium

  * Fix test assertEqual with Python 3.12 (Closes: #1056523)
  * Replace imp by importlib for Python 3.12

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Nov 2023 17:42:25 +0100

ros-vcstools (0.1.42-7) unstable; urgency=medium

  * Add workaround for CVE-2022-39253 (Closes: #1026611)
  * Enable autopkgtest-pkg-pybuild
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Dec 2022 23:14:15 +0100

ros-vcstools (0.1.42-6) unstable; urgency=medium

  * Add patch to use yaml.safe_load

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Oct 2022 17:13:22 +0200

ros-vcstools (0.1.42-5) unstable; urgency=medium

  * Update d/watch
  * Drop nose dependency (Closes: #1018632)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 16:08:46 +0200

ros-vcstools (0.1.42-4) unstable; urgency=medium

  * Bump policy and debhelper versions
  * Set LANGUAGE for unit tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 03 Nov 2021 23:07:31 +0100

ros-vcstools (0.1.42-3) unstable; urgency=medium

  * Remove Thomas from Uploaders, thanks for working on this
  * Fix isAlive (Closes: #973173)
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 27 Oct 2020 22:24:49 +0100

ros-vcstools (0.1.42-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938404)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Sep 2019 13:13:30 +0200

ros-vcstools (0.1.42-1) unstable; urgency=medium

  * New upstream version 0.1.42
  * Update copyright
  * rebase patches
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 08 Aug 2019 21:46:50 +0200

=== debian/control ===
Source: ros-vcstools
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 brz <!nocheck>,
 git <!nocheck>,
 mercurial <!nocheck>,
 python3-all,
 python3-dateutil,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-yaml,
 subversion <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/vcstools
Vcs-Git: https://salsa.debian.org/science-team/ros-vcstools.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-vcstools
Testsuite: autopkgtest-pkg-pybuild

Package: python3-vcstools
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: subversion, git, mercurial, bzr
Description: VCS/SCM Python source control library for svn, git, hg, and bzr (Python 3)
 This package is part of Robot OS (ROS). The vcstools module provides
 a Python API for interacting with different version control systems
 (VCS/SCMs). The VcsClient class provides an API for seamlessly
 interacting with Git, Mercurial (Hg), Bzr and SVN. The focus of the
 API is manipulating on-disk checkouts of source-controlled trees.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# for unit tests
export LANGUAGE=en_US:en
# ignore CVE-2022-39253 in unit tests
export GIT_CONFIG_GLOBAL=$(shell mktemp)
export PYBUILD_BEFORE_TEST=git config --global protocol.file.allow always
export PYBUILD_AFTER_TEST=rm -f ${GIT_CONFIG_GLOBAL}

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/vcstools/vcstools/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
